<?php

$objectManager = \Magento\Framework\App\ObjectManager::getInstance();
$media_url = $objectManager->get('Magento\Store\Model\StoreManagerInterface')
                    ->getStore()
                    ->getBaseUrl(\Magento\Framework\UrlInterface::URL_TYPE_MEDIA);

$thisReseller = [];
$thisDistributor = [];
$thisNationalRetailer = [];
$sellers = $block->getData('buyers');
if(isset($sellers['distributors'])){
  $thisDistributor = $sellers['distributors']; 
}

if(isset($sellers['resellers'])){
   $thisReseller = $sellers['resellers'];
}
if(isset($sellers['nationalRetailers'])){
   $thisNationalRetailer = $sellers['nationalRetailers'];
}
?>

      <div id="buyers">
         <?php if ($thisDistributor){ ?>
               <div class="row" id="distributors">
                  <div class="">
                     <span class="title dist-title">Distributors</span>
                  </div>
                  <div class="profile col-md-12">
                     <div class="row">
                        <div class="distributors">
                           
                           <?php
$i = 0;
foreach ($thisDistributor as $singleDistributer) {
   $i++;
   ?>
                           <div class="col-md-3">
                              <span><a target="_blank" href="<?php echo $singleDistributer['logo_url'] ?>"><img src=<?php echo '"' . $media_url . $singleDistributer['image'] . '"'; ?> alt=<?php echo $singleDistributer['name'] ?> /></a></span>
                           </div>
                           <?php
}
?>
                           <?php
if ($i > 3) {
   $i = 0;
   ?>
                           <div class="clearfix"></div>
                           <?php }?>
                           
                           
                        </div>
                     </div>
                  </div>
               </div>
               <?php } ?>
               <?php if ($thisNationalRetailer){ ?>
               <div class="row padding-top70">
                  <div class="">
                     <span class="title dist-title">National Retailers</span>
                  </div>
                  <div class="profile col-md-12">
                     <div class="row">
                        <div class="distributors">
                           
                           <?php
$i = 0;
foreach ($thisNationalRetailer as $singleNationalRetailer) {
   $i++;
   ?>
                           <div class="col-md-3">
                              <span><a target="_blank" href="<?php echo $singleNationalRetailer['logo_url'] ?>"><img src=<?php echo '"' . $media_url . $singleNationalRetailer['image'] . '"'; ?> alt=<?php echo $singleNationalRetailer['name'] ?> /></a></span>
                           </div>
                           <?php
if ($i > 3) {
      $i = 0;
      ?>
                           <div class="clearfix"></div>
                           <?php }?>
                           <?php }?>
                           
                           
                        </div>
                     </div>
                  </div>
               </div>
               <?php }?>
               <?php if ($thisReseller){ ?>
               <div class="row padding-top70">
                  <div class="">
                     <span class="title dist-title">Resellers</span>
                  </div>
                  <div class="profile col-md-12">
                     <div class="row">
                        <div class="distributors">
                           
                           <?php
$i = 0;
foreach ($thisReseller as $singleReseller) {
   $i++;
   ?>
                           <div class="col-md-3">
                              <span><a target="_blank" href="<?php echo $singleReseller['logo_url'] ?>"><img src=<?php echo '"' . $media_url . $singleReseller['image'] . '"'; ?> alt=<?php echo $singleReseller['name'] ?> /></a></span>
                           </div>
                           <?php
if ($i > 3) {
      $i = 0;
      ?>
                           <div class="clearfix"></div>
                           <?php }?>
                           <?php }?>    
                        </div>
                     </div>
                  </div>
               </div>
<?php } ?>

            </div>
 


<script type="text/javascript">
require([
    "jquery"

],function($) {

        $('#country-seletor').on('change', function() {

            var customurl = "<?php echo $this->getUrl() . 'alogic_wheretobuy/index/index' ?>";
                     $.ajax({
                           url: customurl,
                           type: 'POST',
                           data: {
                             country: $('#country-seletor').val(),
                             partner: $('#partner-seletor').val(),
                             search: $('#text-search').val(),
                           },
                        beforeSend: function() {
                            // show some loading icon
                            $('.page-wrapper').addClass("lazy-loading-img");                            
                           },   
                        success: function(data, status, xhr) {
                           
                           $('#buyers').html(data);
                              
                              $('.page-wrapper').removeClass("lazy-loading-img");                                 
                                                                     
                            // data contains your controller response
                        },
                        error: function (xhr, status, errorThrown) {
                            console.log('Error happens. Try again.');
                            console.log(errorThrown);
                        }
                    });
        });
    });

</script>
